package hu.elte.temp.orai;

import java.io.IOException;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Reducer;

public class TempOraiReducer extends Reducer<Text, TempWritable, Text, TempWritable> {

	public void reduce(Text _key, Iterable<TempWritable> values, Context context) throws IOException, InterruptedException {
		// process values
		double t_max = Double.MIN_VALUE;
		TempWritable max = new TempWritable();
		for (TempWritable val : values) {
			if (val.getTemp().get() > t_max) {
				max = new TempWritable(val.getTime().toString(),val.getTemp().get());
				t_max = val.getTemp().get();
			}
		}
		context.write(_key, max);
	}

}
