package hu.elte.temp.orai;

import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class TempOraiMapper extends Mapper<LongWritable, Text, Text, TempWritable> {
	private TempWritable temp = new TempWritable();
	private Text date = new Text("");

	public void map(LongWritable ikey, Text ivalue, Context context) throws IOException, InterruptedException {
		String[] columns = ivalue.toString().split(",");
		
		if (columns[0].startsWith("2020")) {
			String[] timestamp = columns[0].split("T");
			date.set(timestamp[0]);
			temp.set(timestamp[1], Double.parseDouble(columns[1]));
			context.write(date, temp);
		}

	}

}
