package hu.elte.bigdata;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class Gyak2Mapper extends Mapper<LongWritable, Text, Text, IntWritable> {

	private final Text wordKey = new Text("");
	private final IntWritable wordValue = new IntWritable(1);
	
	public void map(LongWritable ikey, Text ivalue, Context context) throws IOException, InterruptedException {
		
		String[] words = ivalue.toString().split(" ");

		for (String s : words) {
			wordKey.set(s);
			context.write(wordKey,wordValue);
		}
		
	}

}
